const Mesa = require('vendor/Mesa.js');

/**
 * A Mesa Script exports a class with a script() method.
 */
module.exports = new class {

  /**
   * Mesa Script
   *
   * @param {object} payload The payload data
   * @param {object} context Additional context about this task
   */
  script = (payload, context) => {
    const vars = context.steps;

    let randomNumber = Math.floor(Math.random() * 10);
    let review = payload.reviews[randomNumber].body;

    let newPayload = {
      "random_review": review,
    };

    Mesa.output.next(newPayload);
  }
}
